// This effect is being used for the plasma silos that are placed along the walls of 
// the racing zone
vs.1.1

// Compute the projection space vertex position
m4x4 oPos, v0, c0

// Compute the time dependent texture coordinates
mov r0, c6
add r0, c4.x, r0
mul r0.xy, c5.xy, r0

frc r0.xy, r0

add oT0.xy, r0, v7

// Compute a attenuation factor that's dependent on the position of the camera
sub r0, c7, v0

dp3 r0.w, r0, r0
rsq r0.w, r0.w
mul r0.xyz, r0.xyz, r0.w

dp3 r0.w, r0.xyz, v3.xyz

// Multiply this attenuation factor by the material color and pass the result as 
// diffuse color
mul oD0.rgb, r0.w, c8
mov oD0.a, c8
